from sqlalchemy import ForeignKey
from sqlalchemy import CHAR
from sqlalchemy import DATE
from sqlalchemy import VARCHAR
from sqlalchemy import Column
from sqlalchemy import Integer

from asc.core.database.model import Model


class User(Model):
    __tablename__ = 'user'
    __table_args__ = {'schema': 'private'}

    id_user = Column(Integer, primary_key=True)
    name = Column(VARCHAR)
    udoc = Column(VARCHAR)
    utel = Column(VARCHAR)
    mail = Column(VARCHAR)


class UserCard(Model):
    __tablename__ = 'user_card'
    __table_args__ = {'schema': 'private'}

    id_user_card = Column(Integer,primary_key=True)
    id_user = Column(ForeignKey('private.user.id_user'),nullable=False)
    dt_add = Column(DATE,nullable=False)
    dt_exp = Column(CHAR(4),nullable=False)
    nm_holder = Column(VARCHAR,nullable=False)
    nr_card = Column(CHAR(64),nullable=False)
    nr_cvv = Column(CHAR(3),nullable=False)
    id_user_endereco = Column(Integer,nullable=False)

