from sqlalchemy import ForeignKey
from sqlalchemy import Boolean
from sqlalchemy import VARCHAR
from sqlalchemy import Column
from sqlalchemy import Integer

from asc.core.database.model import Model


class PaymentMethod(Model):
    __tablename__ = 'mercadopago_payment_method'
    __table_args__ = {'schema': 'private'}

    id = Column(VARCHAR, primary_key=True)
    name = Column(VARCHAR, nullable=False)
    active = Column(Boolean,default=False,nullable=False)
    id_payment_type = Column(VARCHAR,nullable=False)


class User(Model):
    __tablename__ = 'mercadopago_user'
    __table_args__ = {'schema': 'private'}

    id = Column(ForeignKey('private.user.id_user'), primary_key=True)
    id_customer = Column(VARCHAR,nullable=False)
    id_client = Column(Integer,nullable=False)
    id_user = Column(Integer,nullable=False)


class Card(Model):
    __tablename__ = 'mercadopago_card'
    __table_args__ = {'schema': 'private'}

    id_user_card = Column(ForeignKey('private.user_card.id_user_card'), primary_key=True)
    secret = Column(VARCHAR,nullable=False)
    id_payment_method = Column(VARCHAR,nullable=False)
